curl --request DELETE \
--url https://api.backside.app/api/v1/agent-configs/{kind}/byok-key \
--header 'Authorization: Bearer <token>'{
"agent_kind": "<string>",
"byok_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"guardrails": "<unknown>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"budget_default_cents": 123,
"byok_last_probed_at": "2023-11-07T05:31:56Z",
"byok_status_reason": "<string>",
"deadline_default_seconds": 123,
"schedule": "<string>"
}curl --request DELETE \
--url https://api.backside.app/api/v1/agent-configs/{kind}/byok-key \
--header 'Authorization: Bearer <token>'{
"agent_kind": "<string>",
"byok_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"guardrails": "<unknown>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"budget_default_cents": 123,
"byok_last_probed_at": "2023-11-07T05:31:56Z",
"byok_status_reason": "<string>",
"deadline_default_seconds": 123,
"schedule": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Agent kind identifier
Key revoked
A single agent_configs row as exposed over the REST API. Deliberately
omits byok_key_ref and byok_key_version — those never cross the
API boundary.
Was this page helpful?